# my_settings.py
# Small library of predefined settings

from scm.plams import Settings

# Simple immutable settings:

def dftb_GO_plus_excitations():
  settings = Settings()
  settings.input.AMS.Task = 'GeometryOptimization'
  settings.input.AMS.GeometryOptimization.Convergence.Gradients = 1.0e-5
  settings.input.DFTB.ResourcesDir = 'QUASINANO2015'
  settings.input.DFTB.Properties.Excitations.TDDFTB.calc = 'singlet'
  settings.input.DFTB.Properties.Excitations.TDDFTB.lowest = 10
  settings.input.DFTB.Occupation.Temperature = 5.0
  return settings

# You can improve flexibility by having optional arguments:

def adf_GO(basis='TZP', XC_fun=('GGA','PBE')):
  settings = Settings()
  settings.input.Basis.Type = basis
  settings.input.XC[XC_fun[0]] = XC_fun[1]
  settings.input.NumericalQuality = 'Basic'
  settings.input.Geometry
  settings.input.Geometry.converge = 'grad=1.0e-5'
  return settings

def adf_excitations(basis='TZP', XC_fun=('GGA','PBE'), n_excitations=10):
  settings = Settings()
  settings.input.Basis.Type = basis
  settings.input.XC[XC_fun[0]] = XC_fun[1]
  settings.input.Excitations.lowest = n_excitations
  settings.input.Excitations.OnlySing = ''
  settings.input.NumericalQuality = 'Basic'
  settings.input.Symmetry = 'NoSym'
  return settings